* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: inter;
  }

:root {
  --color-primary: #f5e37a;
  --color-secondary: #0D3451;
  --color-neunetral-8: #595A6A;
  --color-primary-100: #FBF4D4; 
  --color-neunetral-200: #90A2AF;
  --color-primary-200: #F9EFBF;
}

.navbar {
  position: sticky;
  top: 0;
  z-index: 1000;
  background: #f5e37a;
  padding: 22px 120px;
}

.nav-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.menu a {
  text-decoration: none;
  color: #0D3451;
  font-weight: 500;
  transition: font-weight 0.6s ease, letter-spacing 0.6s ease, color 0.6s ease;
}

.btn-nav {
  background: #0D3451;
  color: white !important;
  padding: 8px 16px;
  border-radius: 6px;
  transition: font-weight 0.6s ease, letter-spacing 0.6s ease, Background 0.6s ease, color 0.6s ease;
}


/* DESKTOP ONLY */
.desktop-menu {
  display: flex;
  gap: 24px;
  align-items: center;
}

/* HAMBURGER */
.hamburger {
  width: 28px;
  height: 22px;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
  z-index: 1001;
}

.hamburger span {
  height: 3px;
  width: 100%;
  background: #0D3451;
  border-radius: 3px;
  transition: 0.3s ease;
}

.close-btn {
  font-size: 28px;
  border: none;
  background: none;
  cursor: pointer;
  color: #0D3451;
}

/* MOBILE OVERLAY */
.mobile-overlay {
  position: fixed;
  inset: 0;
  background: #f5e37a;
  z-index: 999;
  display: flex;
  flex-direction: column;
  padding: 30px;
  transform: translateY(-100%);
  transition: transform .4s ease;
}

.mobile-overlay.active {
  transform: translateY(0);
}

/* OVERLAY HEADER */
.overlay-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.close-btn {
  font-size: 26px;
  background: none;
  border: none;
  cursor: pointer;
  color: #0D3451;
}

/* OVERLAY MENU */
.overlay-menu {
  margin-top: 60px;
  display: flex;
  flex-direction: column;
  gap: 30px;
  text-align: center;
}

.overlay-menu a {
  text-decoration: none;
  font-size: 20px;
  color: #0D3451;
}

.btn-mobile {
  background: #0D3451;
  color: #fff !important;
  padding: 12px 20px;
  border-radius: 8px;
}
  
  /* HERO */
  .hero {
    position: relative;
    height: 100dvh;
    overflow: hidden;
    margin-top: 0px;
  }
  
  .hero-slides, .slide-hero {
    position: absolute;
    inset: 0;
  }
  
  .slide-hero {
    background-size: cover;
    background-position: center;
    opacity: 0;
    transition: opacity 1s ease;
  }
  
  .slide-hero.active {
    opacity: 1;
  }
  
  /* HERO CONTENT (GLASS EFFECT) */
  .overlay {
    position: absolute;
    inset: 0;
    width: 50%;
    z-index: 2;
  }
  
  /* WARNA GRADIENT */
  .overlay::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
      to right,
      rgba(0,0,0,0.7) 0%,
      rgba(0,0,0,0.5) 50%,
      rgba(0,0,0,0) 100%
    );
    z-index: 1;
  }
  
  /* BLUR GRADIENT */
  .blur-layer {
    position: absolute;
    inset: 0;
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
  
    mask-image: linear-gradient(
      to right,
      rgba(0,0,0,0.6) 0%,
      rgba(0,0,0,0) 100%
    );
  
    -webkit-mask-image: linear-gradient(
      to right,
      rgba(0,0,0,0.6) 0%,
      rgba(0,0,0,0) 100%
    );
  
    z-index: 0;
  }

  .hero-content {
    position: relative;
    z-index: 5;
    max-width: 520px;
    height: 100%;
    margin-left: 80px;
    margin-top: 33rem;
    padding: 32px;

  }
  
  .hero-content h1 {
    color: #fff;
    font-size: 40px;
    margin-bottom: 20px;
  }
  
  .hero-content p {
    color: #fff;
    font-size: 18px;
    line-height: 1.6;
    margin-bottom: 40px;
  }
  
  .hero-content button {
    font-size: 18px;
    color: #0D3451;
    background: #f5e37a;
    border: none;
    padding: 10px 20px;
    border-radius: 6px;
    cursor: pointer;
    transition: font-weight 0.6s ease, letter-spacing 0.6s ease, Background 0.6s ease, color 0.6s ease;
  }
  
  /* ARROWS */
  .arrow .prev-hero{
    border-radius: 8px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(249,239,191,0.5);
    border: none;
    font-size: 22px;
    cursor: pointer;
    z-index: 6;
    transition: background 0.6s ease, color 0.6s ease;
  }
  
  .prev-hero { 
    left: 32px;
    color: var(--color-secondary); 
  }
  .next-hero { 
    right: 32px;
    color: var(--color-secondary);
   }
  
  /* DOTS */
  .dots-hero {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 8px;
    z-index: 6;
  }
  
  .dot-hero {
    width: 8px;
    height: 8px;
    background: rgba(255,255,255,0.6);
    border-radius: 50%;
  }
  
  .dot-hero.active {
    width: 20px;
    border-radius: 6px;
    background: #f5e37a;
  }

 /* lokasi-header */
 .lokasi-header {
  padding: 120px 160px 0 160px;
  text-align: center;
 }

 .lokasi-header h2, .desain-header h2, .popular h2 {
  font-size: 32px;
  color: var(--color-secondary);
  padding: 12px 0;
 }

 .lokasi-header p, .desain-header p, .popular p {
  font-size: 18px;
  color: var(--color-neunetral-8);
  padding: 12px 0;
 }


 /* HERO WRAPPER */
.lokasi-hero {
  position: relative;
  height: 900px;
  margin-top: 48px;
}

/* MEDIA BACKGROUND */
.lokasi-media {
  position: absolute;
  inset: 0;
  z-index: 1;
}

/* MEDIA */
.media {
  display: none;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.media.show {
  display: block;
}

.media img,
.media iframe {
  width: 100%;
  height: 100%;

  border: none;
}

/* OVERLAY DEFAULT */
.media-default::after {
  content: '';
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0.45),
    rgba(255, 255, 255, 0.05)
  );
}

/* INFO DI ATAS IMAGE */
.lokasi-info {
  position: relative;
  z-index: 2;
  max-width: 680px;
  padding: 120px 0px 0px 120px;
}

/* CARD */
.info-card {
  position: relative;
  background: rgba(245,227,122,0.9);
  backdrop-filter: blur(8px);
  border-radius: 24px;
  padding: 18px 24px 18px 38px;
  margin-bottom: 24px;
  cursor: pointer;
  transition: all 0.6s ease-in-out;
}

.info-card.active {
  background: rgba(249,239,191,0.95);
}

/* ICON */
.info-icon {
  position: absolute;
  left: -18px;
  top: 50%;
  transform: translateY(-50%);
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: var(--color-secondary)!important;
  display: grid;
  place-items: center;
  cursor: pointer;

  background-image: url('../images/icon/info-primary.png') !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  background-size: 28px;
  transition: all 0.3s ease;
}

.info-title {
  font-size: 24px;
  font-weight: 600;
  color: var(--color-secondary);
}



.info-icon.active {
  background: var(--color-primary)!important;
}

.info-card.active .info-icon {
  background-color: var(--color-primary)!important;
  background-image: url('../images/icon/info-secondary.png') !important;
}




/* BODY */
.info-body {
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  transition: all 0.6s ease;
  color: #444;
}

.info-card.active .info-body {
  max-height: 120px;
  opacity: 1;
  margin-top: 6px;
  font-size: 16px;
  color: var(--color-neunetral-8);
}

/* GALLERY */
.lingkungan-gallery {
  position: absolute;
  bottom: 24px;
  left: 50%;
  transform: translateX(-50%);
  display: none;
  grid-template-columns: repeat(5, 1fr);
  gap: 12px;
  z-index: 3;
}

.lingkungan-gallery.show {
  display: grid;
}

.lingkungan-gallery img {
  width: 120px;
  height: 100px;
  border-radius: 10px;
  object-fit: cover;
}

.desain {
  max-width:1200px; 
  margin:auto; 
  padding:80px 24px 0px 24px; 
}

.desain-header { 
  text-align:center; 
  margin-bottom:0px; 
}

.desain-header h2{ 
  text-align:center; 
  margin-bottom:0px; 
}

.unit-section{
  padding:20px 0;
}

.unit-container{
  width: 100%;
  margin:auto;
  position:relative;
}

/* STICKY */
.tab-bar{
  position:sticky;
  top:80px;         
  z-index:50;

  display:flex;
  justify-content:center;
  gap:12px;
  padding:20px;
}

/* styling button */
.tab{
  padding:10px 22px;
  border-radius:12px;
  background:var(--color-primary-100);
  color:var(--color-neunetral-200);
  cursor:pointer;
  transition:.2s;
  font-size: 18px;
  border: none;
}

.tab-bar {
  gap: 40px;
}

.tab.active{
  background:var(--color-primary);
  color:var(--color-secondary);
  font-size: 18px;
  font-weight: 600;
}


.floor-block { 
  margin-top: -120px; 
}

/* ===== SLIDER INFINITE ===== */
.roof-image{
  width:100%;
  display:flex;
  justify-content:center;
  align-items:center;
}

.roof-image img{
  width:100%;
  max-width:100%;
  height:auto;
  display:block;
}


.slider {
  position:relative;
  overflow:hidden;
}

.track {
  display:flex;
  transition:transform .4s ease;
}

.slide {
  flex:0 0 70%;
  position:relative;
  border-radius:20px;
  height:1200px;
  opacity:.4;
  transform:scale(.9);
  transition:.4s;
}

.slide.active {
  opacity:1;
  transform:scale(1);
}

/* Arrow */
.arrow{
  position:absolute;
  top:50%;
  transform:translateY(-50%);
  width:44px;
  height:44px;
  border-radius:12px;
  border:none;
  background:rgba(249,239,191,0.5);
  cursor:pointer;
  z-index:10;
  display:flex;             
  align-items:center;        
  justify-content:center;
}
.arrow.prev{
  left:22px;
  color: var(--color-secondary);
  font-size: 22px;
}
.arrow.next{
  right:22px;
  color: var(--color-secondary);
  font-size: 22px;
  justify-content: center;
}

/* Marker */
.marker{
  position:absolute;
  transform:translate(-50%,-50%);
}

.desain-info-wrapper{
  position:relative;
  display:flex;
  align-items:center;
}

.desain-info-content{
  background:var(--color-primary-100);
  padding:18px 30px 18px 40px;
  border-radius:24px;
  width: fit-content;
  white-space: nowrap;
  display:grid;
  align-items:center;
  text-align: left;

  transform:scale(.8);
  opacity:0;
  transition:.3s ease;
}

.marker.active .desain-info-content{
  transform:scale(1);
  opacity:1;
}

.desain-info-title{
  font-size:18px;
  font-weight:600;
  color:var(--color-secondary);
}

.desain-info-icon {
  position: absolute;
  left: -20px;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: var(--color-primary-100);
  display: grid;
  place-items: center;
  cursor: pointer;

  background-image: url('../images/icon/info-secondary-2.png');
  background-repeat: no-repeat;
  background-position: center;
  background-size: 28px;

  transition: 0.3s ease;
}

.marker.active .desain-info-icon {
  background-color: var(--color-primary);
  background-image: url('../images/icon/info-secondary.png');
}

/* reverse arah */
.desain-info-wrapper.reverse{
  flex-direction:row-reverse;
}

.desain-info-wrapper.reverse .desain-info-icon{
  left: auto;
  right: -18px;
}

.desain-info-wrapper.reverse .desain-info-content{
  padding-right: 40px;
  text-align: right;
  padding-left: 30px;
}


/*konfigurasi*/
.konfigurasi {
  background:var(--color-primary-100);
  padding:40px;
  border-radius:20px;
  text-align:left;
  max-width:420px;
  margin:60px auto 0;
}

.konfigurasi h3 {
  color: var(--color-secondary);
}

.konfigurasi span {
  color: var(--color-neunetral-8);
}

.konfigurasi strong {
  color: var(--color-secondary);
}

.row {
  display:flex; 
  justify-content:space-between; 
  margin:8px 0;
 }

.cta {
  font-size: 18px;
  width:100%;
  margin-top:20px;
  padding:12px;
  border:none;
  border-radius:10px;
  background:#f4de77;
  font-weight: 600;
  color: var(--color-secondary);
}

/*Populer Desain*/
.popular {
  padding: 100px 10%;
}

.popular h2 {
  text-align: center;
  margin-bottom: 60px;
  font-weight: 600;
}

.card-wrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}

/* CARD */
.card {
  position: relative;
}

.card-image img {
  width: 100%;
  border-radius: 20px;
  display: block;
  object-fit: cover;
  transition: transform 0.8s ease, scale 0.8s ease-in-out, object-fit 0.8s ease-in-out;
}

.card-image {
  background: linear-gradient(180deg, #f6f3ea 0%, #ece7dc 100%);
  height: auto;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  cursor: pointer;
  overflow: hidden;
  border-radius: 20px;
}

/* CARD CONTENT */
.card-content {
  background: var(--color-primary);
  padding: 30px;
  border-radius: 25px;
  margin-top: -60px;
  position: relative;

  transition: transform 0.5s ease, box-shadow 0.5s ease;
}

.card-content h3 {
  font-size: 22px;
  margin-bottom: 15px;
  color: var(--color-secondary);
}

.specs {
  display: flex;
  flex-wrap: wrap;
  gap: 14px;
  margin-bottom: 20px;
  justify-content: space-between;
}

.spec {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 14px;
}

.spec::before {
  content: "";
  width: 28px;
  height: 28px;
  border-radius: 50%;
  background-color: #fff;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 14px;
  flex-shrink: 0;
}

/* icon floor */
.spec.floor::before {
  background-image: url("../images/icon/Icon=Home\,\ Style=Primary.png");
}

/* icon bed */
.spec.bed::before {
  background-image: url("../images/icon/Icon=Kamar\,\ Style=Primary.png");
}

/* icon bath */
.spec.bath::before {
  background-image: url("../images/icon/Icon=Icon_KamarMandi\,\ Style=Primary.png");
}

/* icon car */
.spec.car::before {
  background-image: url("../images/icon/Icon=carport\,\ Style=Primary.png");
}

.spec span {
  color: var(--color-secondary);
  font-weight: 500;
}

.card-content p {
  font-size: 16px;
  line-height: 1.6;
  color: var(--color-neunetral-8);
}

/*Speksifikasi Bangunan*/

.section-spek {
  background-image: url(../images/Speksifikasi/imgBg-speksifikasi.png);
  padding: 100px 0px;
  background-repeat: no-repeat !important;
  background-position: center !important;
  background-size: cover;
  background-attachment: fixed;
}

.section-container {
  max-width: 1100px;
  margin: auto;
}

/* HEADER*/

.section-header {
  text-align: center;
  margin-bottom: 60px;
}

.section-header h2 {
  font-size: 32px;
  margin-bottom: 10px;
  color: #fff;
}

.section-header p {
  color: #666;
}

/* SPEK WRAPPER */

.spek-wrapper {
  display: flex;
  gap: 80px;
  margin-bottom: 80px;
}

.spek-column {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

/* CARD */

.spek-card {
  position: relative;
  cursor: pointer;
}

.spek-content {
  background: var(--color-primary);
  padding: 30px 30px 30px 70px;
  border-radius: 18px;
  transition: 0.8s ease;
  box-shadow: 0 10px 30px rgba(0,0,0,0.05);
}

.spek-content h3{
  font-weight: 24px ;
  color: var(--color-secondary);
}


.spek-card.right .spek-content {
  padding: 16px 40px 16px 30px;
  text-align: right;
  background-color: var(--color-primary); 
  transition: all 0.8s ease-in-out ;
}

.spek-card.right {
  width: fit-content;
  margin-left: auto;
  transition: all 0.8s ease-in-out;
}

.spek-card.left .spek-content {
  padding: 16px 30px 16px 40px;
  text-align: left;
  background-color: var(--color-primary);
}

.spek-card.left {
  width: fit-content;
  margin-right: auto;
}

/* ICON */

.spek-icon {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  z-index: 5;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 28px;
  transition: 0.3s ease;
}

/* posisi kiri */
.spek-card.left .spek-icon {
  left: 0;
  transform: translate(-50%, -50%);
  transition: all 0.8s ease-in-out;
}

/* posisi kanan */
.spek-card.right .spek-icon {
  right: 0;
  transform: translate(50%, -50%);
}

/* ICON DEFAULT */

.spek-card[data-icon="pondasi"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Pondasi2\,\ Style=Secondary.png");
}

.spek-card[data-icon="struktur"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_Pondasi\,\ Style=Secondary.png");
}

.spek-card[data-icon="dinding"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_Tembok\,\ Style=Secondary.png");
}

.spek-card[data-icon="lantai"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_Lantai\,\ Style=Secondary.png");
}

.spek-card[data-icon="plafon"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_Plafon\,\ Style=Secondary.png");
}

.spek-card[data-icon="atap"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_Atap\,\ Style=Secondary.png");
}

.spek-card[data-icon="pintu"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_Pintu\,\ Style=Secondary.png");
}

.spek-card[data-icon="instalasi"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_air\,\ Style=Secondary.png");
}

.spek-card[data-icon="sanitair"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_KamarMandi\,\ Style=Secondary.png");
}

.spek-card[data-icon="kitchen"] .spek-icon {
  background-color: var(--color-secondary);
  background-image: url("../images/icon/Icon=Icon_Kitchen\,\ Style=Secondary.png");
}


/* ACTIVE STATE */

.spek-card.active .spek-content {
  background: var(--color-primary-200);
}

.spek-card.right.active {
  width: 100%;
  margin-left: auto;
}

.spek-card.left.active {
  width: 100%;
  margin-left: auto;
  align-items: start;
}

.spek-card[data-icon="pondasi"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Pondasi2\,\ Style=primary.png");
}

.spek-card[data-icon="struktur"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_Pondasi\,\ Style=primary.png");
}

.spek-card[data-icon="dinding"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_Tembok\,\ Style=primary.png");
}

.spek-card[data-icon="lantai"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_Lantai\,\ Style=primary.png");
}

.spek-card[data-icon="plafon"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_Plafon\,\ Style=primary.png");
}

.spek-card[data-icon="atap"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_Atap\,\ Style=primary.png");
}

.spek-card[data-icon="pintu"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_Pintu\,\ Style=primary.png");
}

.spek-card[data-icon="instalasi"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_air\,\ Style=primary.png");
}

.spek-card[data-icon="sanitair"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_KamarMandi\,\ Style=primary.png");
}

.spek-card[data-icon="kitchen"].active .spek-icon {
  background-color: var(--color-primary);
  background-image: url("../images/icon/Icon=Icon_Kitchen\,\ Style=primary.png");
}


/* DESCRIPTION SPEK*/

.spek-description {
  display: none;
  margin-top: 10px;
  color: var(--color-neunetral-8);
  line-height: 1.6;
}

.spek-card.active .spek-description {
  display: block;
}


/*SUBHEADER + TEXT*/

.section-subheader {
  text-align: center;
  margin-bottom: 20px;
}

.section-subheader h3 {
  font-size: 24px;
  margin-bottom: 10px;
  color: #fff;
}

.section-description {
  text-align: center;
  max-width: 700px;
  margin: auto;
  color: #fff;
  line-height: 1.7;
  margin-bottom: 40px;
}

/* CTA BUTTON */

.section-cta {
  text-align: center;
}

.section-cta a {
  display: inline-block;
  padding: 14px 35px;
  background: var(--color-primary);
  color: var(--color-secondary);
  text-decoration: none;
  border-radius: 12px;
  transition: 0.3s ease;
  font-weight: 600;
}

/* Keunggulan */

.keunggulan-section {
  padding: 100px 20px;
  background: #fff;
}

.container {
  padding: 0px 100px;
  display: flex;
  gap: 40px;
  align-items: center;
}

.left-content {
  flex: 1;
}

.section-title {
  font-size: 32px;
  margin-bottom: 30px;
  color: var(--color-secondary);
}

.feature {
  display: flex;
  gap: 15px;
  margin-bottom: 30px;
}

.icon-1 {
  position: absolute;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: var(--color-primary)!important;
  place-items: center;

  background-image: url('../images/icon/Icon=sket\,\ Style=Primary.png') !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  background-size: 28px;
}

.icon-2 {
  position: absolute;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: var(--color-primary)!important;
  place-items: center;

  background-image: url('../images/icon/Icon=denah\,\ Style=Primary.png') !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  background-size: 28px;
}

.icon-3 {
  position: absolute;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: var(--color-primary)!important;
  place-items: center;

  background-image: url('../images/icon/Icon=group\,\ Style=Primary.png') !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  background-size: 28px;
}

.title-keunggulan {
  padding-left: 70px;
}

.title-keunggulan h4{
  padding-bottom: 12px;
  font-size: 18px;
  font-weight: 600;
  color: var(--color-secondary);
}

.title-keunggulan p{
  font-size: 14px;
  font-weight: 400;
  color: var(--color-neunetral-8);
}

.form-box {
  flex: 1;
  background: var(--color-primary-200);
  padding: 40px;
  border-radius: 22px;
}

.form-box h3 {
  margin-bottom: 20px;
  font-size: 32px;
  font-weight: 600;
  color: var(--color-secondary);
}

.form-box p {
  margin-bottom: 20px;
  font-size: 14px;
  color: var(--color-neunetral-8);
}

form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

input {
  padding: 12px;
  border: 1.5px solid var(--color-neunetral-200);
  border-radius: 12px;
  font-size: 18px;
}

button {
  padding: 14px;
  border: none;
  background: var(--color-secondary);
  color: var(--color-primary);
  border-radius: 12px;
  cursor: pointer;
  transition: 0.3s;
  font-size: 18px;
  font-weight: 500;
}

button:hover {
  opacity: 0.8;
}

#responseMessage {
  margin-top: 15px;
  font-size: 14px;
}

/*footer*/
.footer {
  background-color: #123a55;
  color: #ffffff;
  padding: 60px 0px 0;
}

.footer-container {
  max-width: 1200px;
  margin: auto;
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
  padding: 0px 20px;
  gap: 40px;
}

.footer-col h3,
.footer-col h4 {
  margin-bottom: 20px;
}

.footer-col p {
  line-height: 1.6;
  color: #d0d8de;
}

/* CONTACT STYLE */
.contact-list {
  list-style: none;
  padding: 0;
}

.contact-list li {
  margin-bottom: 15px;
}

.contact-list a {
  display: flex;
  align-items: center;
  gap: 12px;
  text-decoration: none;
  color: #d0d8de;
  transition: 0.3s;
}

.contact-list img {
  width: 24px;
  height: 24px;
}

.contact-list a:hover {
  color: #f2d46b;
}

/* SOCIAL STYLE */
.social-links {
  display: flex;
  gap: 15px;
}

.social-links a {
  display: flex;              
  justify-content: center;    
  align-items: center;  
  transition: 0.3s;
  width: 48px;
  height: 48px;
  background-color: var(--color-primary);
  align-items: center;
  border-radius: 10px;
}

.social-links img {
  width: 38px;
  height: 38px;

}

.social-links a:hover {
  transform: translateY(-3px);
}

/* BOTTOM */
.footer-bottom {
  background-color: #e3cd6c;
  text-align: center;
  padding: 25px 0;
  margin-top: 50px;
}

.footer-bottom img {
  max-width: 150px;
}



   /* Hover STATES */
  .prev:hover,
  .next:hover {
  background: rgba(249,239,191,1);
  color: var(--color-secondary);
  }

  .btn-nav:hover {
    color: var(--color-primary) !important;
    padding: 8px 18px;
    border-radius: 6px;
  }

  .menu a:hover {
    font-weight: 700;
    letter-spacing: 0.5px;
  }

  .hero-content button:hover {
    color: var(--color-primary);
    background: var(--color-secondary);
    letter-spacing: 0.5px;

  }

  .arrow:hover{
    background:var(--color-primary);
  }

  .card:hover .card-image img {
    transform: scale(1.5);
  }

  .card:hover .card-content {
    box-shadow: 0 15px 40px rgba(0,0,0,0.1);
  }

  .spek-content:hover {
    width: 100%;
    transition: all 0.8s ease-in-out;
  }
  


  /* ACTIVE STATES */

  
  .hamburger.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
  }
  
  .hamburger.active span:nth-child(2) {
    opacity: 0;
  }
  
  .hamburger.active span:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -6px);
  }


/* RESPONSIVE */

@media (max-width: 1440px) {
  .hero-content {
    max-width: 520px;
    height: 100%;
    margin-left: 80px;
    margin-top: 18rem;
    top: 34%;
  }

  .slide {
    flex:0 0 70%;
    position:relative;
    border-radius:20px;
    height:900px;
    opacity:.4;
    transform:scale(.9);
    transition:.4s;
  }

  .floor-block { 
    margin-top: -140px; 
  }

  .card-image {
    height: auto;
  }

  }

@media (max-width: 1024px) {
  .floor-block { 
    margin-top: -100px; 
  }
  
  .slide {
    height:660px;
  }

  .lokasi-info {
    max-width: 480px;
  }

  .hero-content {
    max-width: 520px;
    height: 100%;
    margin-left: 80px;
    margin-top: 20rem;
    top: 22%;
  }

  .navbar {
    padding: 22px 110px;
  }

  .hero-content h1 {
    font-size: 32px;
    margin-bottom: 14px;
  }
  
  .hero-content p {
    font-size: 16px;
    margin-bottom: 20px;
  }

  .lokasi-hero {
    height: 720px;
  }

  .footer-container {
    padding: 0px 40px;
    gap: 20px;
  }

  .social-links a {
    width: 38px;
    height: 38px;
    border-radius: 10px;
  }
  
  .social-links img {
    width: 28px;
    height: 28px;
  
  }

  }

/* MOBILE */
@media (max-width: 768px) {
  .desktop-menu {
    display: none;
  }

  .hamburger {
    display: flex;
  }
  

  .hero-content {
    margin: 120px 20px;
    max-width: 90%;
  }

  .overlay::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
      to top,
      rgba(0,0,0,0.7) 0%,
      rgba(0,0,0,0.5) 50%,
      rgba(0,0,0,0) 100%
    );
    z-index: 1;
  }

  .arrow .prev-hero{
    font-size: 22px;
  }
  
  .prev-hero { 
    left: 32px;
    color: var(--color-secondary); 
  }
  .next-hero { 
    right: 32px;
    color: var(--color-secondary);
   }

  .hero-content h1 {
    color: #fff;
    font-size: 40px;
    margin-bottom: 20px;
  }
  
  .hero-content p {
    color: #fff;
    font-size: 18px;
    line-height: 1.6;
    margin-bottom: 40px;
  }

  .lokasi-header {
    padding: 120px 80px 0 80px;
    text-align: center;
   }

  .lokasi-hero {
    position: relative;
    height: 900px;
    margin-top: 10px;
  }

  .lokasi-info {
    position: relative;
    z-index: 2;
    max-width: 480px;
    padding: 80px 0px 0px 80px !important;
  }

  .lokasi-media {
    position: relative;
    height: 260px;
  }

  .floor-block { 
    margin-top: -76px; 
  }
  
  .slide {
    height:490px;
  }

  .overlay {
    width: 100%;
    z-index: 2;
  }

  .hero-content {
    max-width: 100%;
    height: 100%;
    margin-top: 20rem;
    justify-content: center;
    align-items: center;
    text-align: center;
    top: 30%;
    padding: 0 50px 0 65px;
  }

  .hero-content h1 {
    font-size: 32px;
  }
  
  .hero-content p {
    font-size: 12px;
    line-height: 1.6;
  }
  
  .hero-content button {
    font-size: 14px;
  }

  .navbar {
    padding: 22px 62px;
  }

  .lokasi-header h2, .desain-header h2, .popular h2  {
    font-size: 24px;
    color: var(--color-secondary);
    padding: 2px 0;
   }
  
  
   .lokasi-header p, .desain-header p, .popular p  {
    font-size: 16px;
    padding: 2px 0;
   }



   .lokasi-media {
    height: 450px;
  }

   .media.show {
    display: block;
    height: 450px;
  }

  .lokasi-header {
    padding: 120px 120px 0 120px;
    text-align: center;
   }

  .info-title {
    font-size: 20px;
  }

  .info-body {
    font-size: 14px;
  }

  .tab-bar{
    position:sticky;
    top:70px;         
    z-index:50;
  
    display:flex;
    justify-content:center;
    gap:12px;
    padding:20px;
  }

  .tab{
    padding:10px 22px;
    border-radius:12px;
    background:var(--color-primary-100);
    color:var(--color-neunetral-200);
    cursor:pointer;
    transition:.2s;
    font-size: 14px;
    border: none;
  }
  
  .tab-bar {
    gap: 30px;
  }
  
  .tab.active{
    background:var(--color-primary);
    color:var(--color-secondary);
    font-size: 14px;
    font-weight: 600;
  }

  .desain-info-title{
    font-size:14px;
  }

  .desain-info-icon {
    left: -16px;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    background-size: 22px;
  }

  .desain-info-content{
    padding:10px 18px 10px 22px;
    border-radius:14px;
  }

  .desain-info-wrapper.reverse .desain-info-icon{
    left: auto;
    right: -14px;
  }
  
  .desain-info-wrapper.reverse .desain-info-content{
    padding-right: 22px;
    text-align: right;
    padding-left: 18px;
  }

  .card-content {
    padding: 22px 22px;
  }

  .card-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr );
    gap: 20px;
    justify-items: center;
    justify-content: space-between;
  }

  .card-wrapper > :nth-child(3) {
    grid-column: 1 / -1;   
    justify-self: center;  
    max-width: 50%;        
  }

  .card-content h3 {
    font-size: 16px;
    margin-bottom: 10px;
    color: var(--color-secondary);
  }

  .card-content p {
    font-size: 12px;
  }

  .specs span {
    font-size: 12px;
  }

  .spek-wrapper {
    flex-direction: column;
    gap: 14px;
    padding: 0px 80px;
  }

  .section-header {
    margin-bottom: 22px;
  }

  .section-header h2 {
    font-size: 24px;
  }

  /* Pastikan kolom full width */
  .spek-column {
    width: 100%;
    gap: 14px;
  }

  /* Reset posisi card right */
  .spek-card.right {
    margin-left: 0;
  }

  .spek-card.right .spek-icon {
    right: 0;
    transform: translate(-50%, -50%);
  }

  /* Semua icon ke kiri */
  .spek-icon {
    left: 0 !important;
    right: auto !important;
    transform: translate(-50%, -50%);
  }

  /* Samakan padding semua content */
  .spek-content {
    padding: 12px 20px 12px 30px !important;
    text-align: left;
  }

  .spek-icon {
    width: 42px;
    height: 42px;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    z-index: 5;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 24px;
    transition: 0.3s ease;
  }

  .spek-card.right .spek-content {
    padding: 16px 40px 16px 30px;
    text-align: left;
  }

  .spek-content h3{
    font-size: 16px;
  }

  .spek-description p {
    font-size: 12px;
  }

  .spek-description {
    margin-top: 6px;
  }

  .section-subheader h3 {
    font-size: 18px;
  }

  .container {
    flex-direction: column;
  }

  .footer-container {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .footer-col {
    margin-bottom: 30px;
  }

  /* Contact jadi center */
  .contact-list a {
    justify-content: center;
  }

  /* Social icon center */
  .social-links {
    display: flex;
    justify-content: center;
  }

  .container {
    padding: 0px 40px;
  }

  .left-content h2, .form-box h3 {
    font-size: 24px;
  }

  .left-content h2{
    text-align: center;
  }

  .icon-1, .icon-2, .icon-3 {
    width: 38px;
    height: 38px;
    background-size: 24px;
  }

  .title-keunggulan {
    padding-left: 50px;
  }


}
  
  @media (max-width: 425px) {
    .floor-block { 
      margin-top: -36px; 
    }
    
    .slide {
      height:260px;
    }

    .hero-content {
      max-width: 100%;
      height: 100%;
      margin-top: 20rem;
      justify-content: center;
      align-items: center;
      text-align: center;
      top: 30%;
      padding: 0 30px 0 30px;
    }

    .navbar {
      padding: 22px 22px;
    }

    .hero-content h1 {
      font-size: 24px;
      margin-bottom: 16px;
    }
    
    .hero-content p {
      font-size: 12px;
      margin-bottom: 30px;
    }

    .lokasi-hero {
      height: 620px;
      margin-top: 20px;
    }

    .lokasi-header {
      padding: 100px 40px 0 40px;
      text-align: center;
     }
    
     .lokasi-header h2, .desain-header h2 {
      font-size: 24px;
      color: var(--color-secondary);
      padding: 10px 0;
     }
    
    
     .lokasi-header p, .desain-header p {
      font-size: 12px;
      padding: 10px 0;
     }

     .lokasi-info {
      position: relative;
      z-index: 2;
      max-width: 380px;
      padding: 48px 0px 0px 48px !important;
    }

    .lokasi-media {
      height: 320px;
    }
  
     .media.show {
      display: block;
      height: 320px;
    }

    .lingkungan-gallery img {
      width: 60px;
      height: 40px;
      border-radius: 10px;
      object-fit: cover;
    }

    .info-title{
      font-size:14px;
    }

    .info-body{
      font-size:12px !important;
    }

    .info-card {
      border-radius: 24px;
      padding: 14px 24px 14px 26px;
      margin-bottom: 16px;
      border-radius: 18px;
    }

    .info-icon {
      position: absolute;
      left: -14px;
      top: 50%;
      transform: translateY(-50%);
      width: 32px;
      height: 32px;
      background-size: 16px;
    }

    .tab{
      font-size: 14px;
    }
    
    .tab-bar {
      gap: 20px;
    }
    
    .tab.active{
      font-size: 14px;
    }

    .card-wrapper {
      grid-template-columns: 1fr;
    }

    .card-wrapper > :nth-child(3) {
      grid-column: auto;     
      max-width: 100%;        
      justify-self: stretch;  
    }
  
    .card-content {
      margin-top: -40px;
    }

    .konfigurasi {
      background:var(--color-primary-100);
      padding:32px;
      border-radius:20px;
      text-align:left;
      max-width:320px;
      margin:60px auto 0;
    }
    
    .konfigurasi h3 {
      font-size: 14;
      font-weight: 600;
    }
    
    .konfigurasi span {
      font-size: 12px;
    }
    
    .konfigurasi strong {
      font-size: 12px;
      font-weight: 600;
    }

    .cta {
      font-size: 14px;
      width:100%;
      margin-top:20px;
      padding:12px;
      border:none;
      border-radius:10px;
      background:#f4de77;
      font-weight: 500;
    }

    .spek-wrapper {
      gap: 12px;
      padding: 0px 40px;
    }

    .spek-content h3{
      font-size: 14px;
    }
  
    .spek-description p {
      font-size: 12px;
    }

  }

  @media (max-width: 375px) {
    .lokasi-info {
      position: relative;
      z-index: 2;
      max-width: 340px;
      padding: 38px 0px 28px 38px !important;
    }

    .desain-info-content{
      padding:8px 18px 8px 22px;
      border-radius:14px;
    }
  }



  @media (max-width: 320px) {
    .floor-block { 
      margin-top: -36px; 
    }
    
    .slide {
      height:260px;
    }

    .hero-content {
      max-width: 100%;
      height: 100%;
      margin-top: 20rem;
      justify-content: center;
      align-items: center;
      text-align: center;
      top: 22%;
      padding: 0 30px 0 30px;
    }

    .navbar {
      padding: 22px 22px;
    }

    .hero-content h1 {
      font-size: 24px;
      margin-bottom: 16px;
    }
    
    .hero-content p {
      font-size: 12px;
      margin-bottom: 30px;
    }

    .lokasi-header {
      padding: 80px 40px 0 40px;
      text-align: center;
     }

    .lokasi-hero {
      height: 520px;
      margin-top: 0px;
    }

    .lokasi-info {
      position: relative;
      z-index: 2;
      max-width: 280px;
      padding: 38px 0px 28px 38px !important;
    }

    .lokasi-media {
      height: 240px;
    }
  
     .media.show {
      display: block;
      height: 240px;
    }

    .lingkungan-gallery img {
      width: 60px;
      height: 40px;
      border-radius: 10px;
      object-fit: cover;
    }

  }
  
  